HyperTrackDocs
Orders

Get Tasks Definitions List

Retrieves a list of all task definitions available in the system. This endpoint is used to view all task definitions that can be used for orders.

GET
/orders/tasks-definitions

Retrieves a list of all task definitions available in the system. This endpoint is used to view all task definitions that can be used for orders.

Authorization

AuthorizationBasic <token>

In: header

Query Parameters

search_term?|

Filter task definitions by label. Use this to search for task definitions with label containing search term.

ops_group_handle?|

Filter task definitions by ops group handle.

metadata?|

Filter task definitions by metadata. Use this to search for task definitions with metadata containing the specified key-value pairs.

pagination_token?|

Token for pagination. Use this to fetch the next set of results if available.

limit?|

Maximum number of task definitions to return. Default is 100, maximum is 100.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/orders/tasks-definitions"
{  "task_definitions": [    {      "task_definition_id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",      "label": "order_tasks_definition 1",      "tasks": [        {          "label": "order_summary",          "description": "Generate order summary for order 001",          "priority": "high"        },        {          "label": "order_billing_summary",          "description": "Generate billing summary for order 001",          "priority": "medium"        }      ],      "created_at": "2023-10-01T12:00:00Z",      "updated_at": "2023-10-01T12:00:00Z"    }  ],  "pagination_token": null}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}